NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAM::InspectionCollisionAvoidanceBuilder Class Reference

Collision Avoidance Dialog builder
To create a new instance of this class, use NXOpen::CAM::InspectionOperationCollection::CreateInspectionCollisionAvoidanceBuilder

Created in NX8.0.0. More...

Inheritance diagram for NXOpen::CAM::InspectionCollisionAvoidanceBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool ChangeApproachRetract ()
 Returns a flag to indicate whether to change approach and retract distances to avoid collisions
Created in NX8.0.1. More...
 
bool ChangeProbeAngles ()
 Returns a flag to indicate whether to change probe angles to avoid collisions
Created in NX8.0.0. More...
 
bool ChangeProbeTip ()
 Returns a flag to indicate whether to change probe tip to avoid collisions
Created in NX8.0.0. More...
 
double ClearanceDistance ()
 Returns the transition clearance distance
Created in NX8.0.0. More...
 
bool DeleteMeasurementPoints ()
 Returns a flag to indicate whether to delete measurement points to avoid collisions
Created in NX9.0.1. More...
 
bool DeleteUserSafePoints ()
 Returns a flag to indicate whether to delete user inserted safe points to improve path
Created in NX11.0.2. More...
 
void DoCollisionAvoidance ()
 Updates selected paths. More...
 
double FacetTolerance ()
 Returns the tolerance used for faceting the components
Created in NX8.0.0. More...
 
bool FinishAtSafePlane ()
 Returns a flag to indicate whether to finish at safe plane after last path
Created in NX8.0.0. More...
 
std::vector< NXStringGetSelectedOps ()
 Returns the selected operations. More...
 
bool ListOutput ()
 Returns a flag to indicate whether to generate a report
Created in NX8.0.0. More...
 
double MaxAngularIncrement ()
 Returns the max angular increment
Created in NX8.0.0. More...
 
double MaxLengthIncrement ()
 Returns the max length increment
Created in NX8.0.0. More...
 
bool MoveMeasurementPoints ()
 Returns a flag to indicate whether to move measurement points to avoid collisions
Created in NX9.0.1. More...
 
bool NewSensors ()
 Returns a flag to indicate whether to create new sensors
Created in NX8.0.0. More...
 
bool ProbeRotationsAtSafePlane ()
 Returns a flag to indicate whether to do probe rotations at safe plane
Created in NX8.0.0. More...
 
NXOpen::NXObjectSafePlane ()
 Returns the safe plane
Created in NX8.0.0. More...
 
void SetChangeApproachRetract (bool change)
 Sets a flag to indicate whether to change approach and retract distances to avoid collisions
Created in NX8.0.1. More...
 
void SetChangeProbeAngles (bool change)
 Sets a flag to indicate whether to change probe angles to avoid collisions
Created in NX8.0.0. More...
 
void SetChangeProbeTip (bool change)
 Sets a flag to indicate whether to change probe tip to avoid collisions
Created in NX8.0.0. More...
 
void SetClearanceDistance (double clearanceDistance)
 Sets the transition clearance distance
Created in NX8.0.0. More...
 
void SetDeleteMeasurementPoints (bool deletePoints)
 Sets a flag to indicate whether to delete measurement points to avoid collisions
Created in NX9.0.1. More...
 
void SetDeleteUserSafePoints (bool deletePoints)
 Sets a flag to indicate whether to delete user inserted safe points to improve path
Created in NX11.0.2. More...
 
void SetFacetTolerance (double facetTolerance)
 Sets the tolerance used for faceting the components
Created in NX8.0.0. More...
 
void SetFinishAtSafePlane (bool createPoints)
 Sets a flag to indicate whether to finish at safe plane after last path
Created in NX8.0.0. More...
 
void SetListOutput (bool list)
 Sets a flag to indicate whether to generate a report
Created in NX8.0.0. More...
 
void SetMaxAngularIncrement (double maxAngularIncrement)
 Sets the max angular increment
Created in NX8.0.0. More...
 
void SetMaxLengthIncrement (double maxLengthIncrement)
 Sets the max length increment
Created in NX8.0.0. More...
 
void SetMoveMeasurementPoints (bool movePoints)
 Sets a flag to indicate whether to move measurement points to avoid collisions
Created in NX9.0.1. More...
 
void SetNewSensors (bool newSensors)
 Sets a flag to indicate whether to create new sensors
Created in NX8.0.0. More...
 
void SetProbeRotationsAtSafePlane (bool useSafePlane)
 Sets a flag to indicate whether to do probe rotations at safe plane
Created in NX8.0.0. More...
 
void SetSafePlane (NXOpen::NXObject *plane)
 Sets the safe plane
Created in NX8.0.0. More...
 
void SetSelectedOps (std::vector< NXString > &selectedOps)
 Sets the selected operations. More...
 
void SetStartFromSafePlane (bool createPoints)
 Sets a flag to indicate whether to start from safe plane before first path
Created in NX8.0.0. More...
 
void SetTableRotationsAtSafePlane (bool useSafePlane)
 Sets a flag to indicate whether to do table rotations at safe plane
Created in NX8.0.0. More...
 
void SetToolChangesAtSafePlane (bool useSafePlane)
 Sets a flag to indicate whether to do tool changes at safe plane
Created in NX8.0.0. More...
 
void SetTransitionsBetweenPaths (bool createPoints)
 Sets a flag to indicate whether to generate transition points between paths
Created in NX8.0.0. More...
 
void SetTransitionsWithinPaths (bool createPoints)
 Sets a flag to indicate whether to generate transition points within paths
Created in NX8.0.0. More...
 
bool StartFromSafePlane ()
 Returns a flag to indicate whether to start from safe plane before first path
Created in NX8.0.0. More...
 
bool TableRotationsAtSafePlane ()
 Returns a flag to indicate whether to do table rotations at safe plane
Created in NX8.0.0. More...
 
bool ToolChangesAtSafePlane ()
 Returns a flag to indicate whether to do tool changes at safe plane
Created in NX8.0.0. More...
 
bool TransitionsBetweenPaths ()
 Returns a flag to indicate whether to generate transition points between paths
Created in NX8.0.0. More...
 
bool TransitionsWithinPaths ()
 Returns a flag to indicate whether to generate transition points within paths
Created in NX8.0.0. More...
 
void UpdateSimDisplayOptions ()
 Updates the Sim Display Options to match changes made in the Collision Avoidance Dialog
Created in NX9.0.1. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Collision Avoidance Dialog builder
To create a new instance of this class, use NXOpen::CAM::InspectionOperationCollection::CreateInspectionCollisionAvoidanceBuilder

Created in NX8.0.0.


Member Function Documentation

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::ChangeApproachRetract ( )

Returns a flag to indicate whether to change approach and retract distances to avoid collisions
Created in NX8.0.1.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::ChangeProbeAngles ( )

Returns a flag to indicate whether to change probe angles to avoid collisions
Created in NX8.0.0.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::ChangeProbeTip ( )

Returns a flag to indicate whether to change probe tip to avoid collisions
Created in NX8.0.0.



License requirements : None

double NXOpen::CAM::InspectionCollisionAvoidanceBuilder::ClearanceDistance ( )

Returns the transition clearance distance
Created in NX8.0.0.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::DeleteMeasurementPoints ( )

Returns a flag to indicate whether to delete measurement points to avoid collisions
Created in NX9.0.1.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::DeleteUserSafePoints ( )

Returns a flag to indicate whether to delete user inserted safe points to improve path
Created in NX11.0.2.



License requirements : None

void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::DoCollisionAvoidance ( )

Updates selected paths.


Created in NX8.0.0.

License requirements : insp_programming ("INSPECTION PROGRAMMING")

double NXOpen::CAM::InspectionCollisionAvoidanceBuilder::FacetTolerance ( )

Returns the tolerance used for faceting the components
Created in NX8.0.0.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::FinishAtSafePlane ( )

Returns a flag to indicate whether to finish at safe plane after last path
Created in NX8.0.0.



License requirements : None

std::vector<NXString> NXOpen::CAM::InspectionCollisionAvoidanceBuilder::GetSelectedOps ( )

Returns the selected operations.

Returns
Selected operation names
Created in NX8.0.0.

License requirements : None
bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::ListOutput ( )

Returns a flag to indicate whether to generate a report
Created in NX8.0.0.



License requirements : None

double NXOpen::CAM::InspectionCollisionAvoidanceBuilder::MaxAngularIncrement ( )

Returns the max angular increment
Created in NX8.0.0.



License requirements : None

double NXOpen::CAM::InspectionCollisionAvoidanceBuilder::MaxLengthIncrement ( )

Returns the max length increment
Created in NX8.0.0.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::MoveMeasurementPoints ( )

Returns a flag to indicate whether to move measurement points to avoid collisions
Created in NX9.0.1.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::NewSensors ( )

Returns a flag to indicate whether to create new sensors
Created in NX8.0.0.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::ProbeRotationsAtSafePlane ( )

Returns a flag to indicate whether to do probe rotations at safe plane
Created in NX8.0.0.



License requirements : None

NXOpen::NXObject* NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SafePlane ( )

Returns the safe plane
Created in NX8.0.0.



License requirements : None

void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetChangeApproachRetract ( bool  change)

Sets a flag to indicate whether to change approach and retract distances to avoid collisions
Created in NX8.0.1.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
changechange
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetChangeProbeAngles ( bool  change)

Sets a flag to indicate whether to change probe angles to avoid collisions
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
changechange
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetChangeProbeTip ( bool  change)

Sets a flag to indicate whether to change probe tip to avoid collisions
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
changechange
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetClearanceDistance ( double  clearanceDistance)

Sets the transition clearance distance
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
clearanceDistanceclearancedistance
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetDeleteMeasurementPoints ( bool  deletePoints)

Sets a flag to indicate whether to delete measurement points to avoid collisions
Created in NX9.0.1.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
deletePointsdeletepoints
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetDeleteUserSafePoints ( bool  deletePoints)

Sets a flag to indicate whether to delete user inserted safe points to improve path
Created in NX11.0.2.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
deletePointsdeletepoints
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetFacetTolerance ( double  facetTolerance)

Sets the tolerance used for faceting the components
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
facetTolerancefacettolerance
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetFinishAtSafePlane ( bool  createPoints)

Sets a flag to indicate whether to finish at safe plane after last path
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
createPointscreatepoints
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetListOutput ( bool  list)

Sets a flag to indicate whether to generate a report
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
listlist
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetMaxAngularIncrement ( double  maxAngularIncrement)

Sets the max angular increment
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
maxAngularIncrementmaxangularincrement
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetMaxLengthIncrement ( double  maxLengthIncrement)

Sets the max length increment
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
maxLengthIncrementmaxlengthincrement
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetMoveMeasurementPoints ( bool  movePoints)

Sets a flag to indicate whether to move measurement points to avoid collisions
Created in NX9.0.1.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
movePointsmovepoints
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetNewSensors ( bool  newSensors)

Sets a flag to indicate whether to create new sensors
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
newSensorsnewsensors
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetProbeRotationsAtSafePlane ( bool  useSafePlane)

Sets a flag to indicate whether to do probe rotations at safe plane
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
useSafePlaneusesafeplane
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetSafePlane ( NXOpen::NXObject plane)

Sets the safe plane
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
planeplane
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetSelectedOps ( std::vector< NXString > &  selectedOps)

Sets the selected operations.


Created in NX8.0.0.

License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
selectedOpsSelected operation names
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetStartFromSafePlane ( bool  createPoints)

Sets a flag to indicate whether to start from safe plane before first path
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
createPointscreatepoints
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetTableRotationsAtSafePlane ( bool  useSafePlane)

Sets a flag to indicate whether to do table rotations at safe plane
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
useSafePlaneusesafeplane
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetToolChangesAtSafePlane ( bool  useSafePlane)

Sets a flag to indicate whether to do tool changes at safe plane
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
useSafePlaneusesafeplane
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetTransitionsBetweenPaths ( bool  createPoints)

Sets a flag to indicate whether to generate transition points between paths
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
createPointscreatepoints
void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::SetTransitionsWithinPaths ( bool  createPoints)

Sets a flag to indicate whether to generate transition points within paths
Created in NX8.0.0.



License requirements : insp_programming ("INSPECTION PROGRAMMING")

Parameters
createPointscreatepoints
bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::StartFromSafePlane ( )

Returns a flag to indicate whether to start from safe plane before first path
Created in NX8.0.0.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::TableRotationsAtSafePlane ( )

Returns a flag to indicate whether to do table rotations at safe plane
Created in NX8.0.0.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::ToolChangesAtSafePlane ( )

Returns a flag to indicate whether to do tool changes at safe plane
Created in NX8.0.0.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::TransitionsBetweenPaths ( )

Returns a flag to indicate whether to generate transition points between paths
Created in NX8.0.0.



License requirements : None

bool NXOpen::CAM::InspectionCollisionAvoidanceBuilder::TransitionsWithinPaths ( )

Returns a flag to indicate whether to generate transition points within paths
Created in NX8.0.0.



License requirements : None

void NXOpen::CAM::InspectionCollisionAvoidanceBuilder::UpdateSimDisplayOptions ( )

Updates the Sim Display Options to match changes made in the Collision Avoidance Dialog
Created in NX9.0.1.



License requirements : insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.